$ErrorActionPreference = 'Stop';

$packageName= 'dokany2'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
#$fileLocation = Join-Path $toolsDir 'NAME_OF_EMBEDDED_INSTALLER_FILE'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = 'https://github.com/dokan-dev/dokany/releases/download/v2.1.0.1000/Dokan_x86.msi'
  url64bit      = 'https://github.com/dokan-dev/dokany/releases/download/v2.1.0.1000/Dokan_x64.msi'
  #file         = $fileLocation

  softwareName  = 'Dokan Library*'

  checksum      = '4282546C46D8302467997B38A56BEBB409F0488D8BD7B2426719C5D5128CF7EF'
  checksumType  = 'sha256'
  checksum64    = '930B596D6CD7A8F3508F39BD4EAB8C2F178178D39D11A9E135180B69820DF47F'
  checksumType64= 'sha256'

  silentArgs    = "/passive /norestart"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
